# Generated from extended-logger-0.1.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name extended-logger

Name: rubygem-%{gem_name}
Version: 0.1.5
Release: 1%{?dist}
Summary: Provides an extended logger offering more features than the ruby logger
License: MIT
URL: https://github.com/ntl/extended-logger
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
extended-logger provides a richer logger implementation than the built in ruby
logger, offering more log levels and colors. In addition, loggers can be
constructed for your classes and modules, which include the constant name in
output for easy filtering.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.5-1
- Initial package
